System 2.0.0.0 4.0.0.0 System.Configuration.Provider.ProviderCollection

The class is a straightforward extension of the class to provide for storage of objects.

The class uses this collection to manage the settings providers associated with each of its application settings properties through the .

Represents a collection of application settings providers.

- Constructor
  2.0.0.0
  4.0.0.0

  This is the default constructor that is implicitly provided.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The property of the is used as the storage key.

  Although the method has a single parameter to match the signature of this same method in the base class , this method will throw an exception if the parameter is not of type .

  Adds a new settings provider to the collection.

  A to add to the collection.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsProvider `` To be added. To be added. To be added. To be added.